Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-molecule-by-order.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-molecule-by-order.at	(revision 7c958e3f7ce548c4bf2fc8abe3caa46d9990fd56)
+++ 	(revision )
@@ -1,265 +1,0 @@
-### (un)select molecules by order
-
-
-AT_SETUP([Selection - Molecule by order, forward])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, forward with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, forward with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by order, forward])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by order, forward with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=twowater.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=twowater.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by order, forward with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=twowater.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=twowater.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,68 @@
+### (un)select molecules by order
+
+
+AT_SETUP([Selection - Molecule by order, backward])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, backward with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, backward with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,67 @@
+### (un)select molecules by order
+
+
+AT_SETUP([Selection - Molecule by order, forward])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, forward with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, forward with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,67 @@
+### (un)select molecules by order
+
+
+AT_SETUP([Unselection - Molecule by order, backward])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, backward with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, backward with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,68 @@
+### (un)select molecules by order
+
+
+AT_SETUP([Unselection - Molecule by order, forward])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, forward with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, forward with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
